### Enumeration

# Vips ForeignTiffCompression

#### Declaration

    enum Vips.ForeignTiffCompression

#### Description [src]

The compression types supported by the tiff writer.

Use `Q` to set the jpeg compression level, default 75.

Use `predictor` to set the lzw or deflate prediction, default horizontal.

Use `lossless` to set WEBP lossless compression.

Use `level` to set webp and zstd compression level.

#### Members

`VIPS_FOREIGN_TIFF_COMPRESSION_NONE`

  No compression.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_COMPRESSION_JPEG`

  Jpeg compression.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_COMPRESSION_DEFLATE`

  Deflate (zip) compression.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_COMPRESSION_PACKBITS`

  Packbits compression.

  - Value: `3`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_COMPRESSION_CCITTFAX4`

  Fax4 compression.

  - Value: `4`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_COMPRESSION_LZW`

  LZW compression.

  - Value: `5`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_COMPRESSION_WEBP`

  WEBP compression.

  - Value: `6`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_COMPRESSION_ZSTD`

  ZSTD compression.

  - Value: `7`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_COMPRESSION_JP2K`

  JP2K compression.

  - Value: `8`
  - Available since: 8.0